Bug 239083 - NullPointerException at com.sun.tools.javac.processing.JavacProcessingEnvironment$Round.unrecoverableError
NullPointerException at com.sun.tools.javac.processing.JavacProcessingEnviron...
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Compiler
8.0
All All
: P3 (vote)
: 8.0
Assigned To: Dusan Balek
issues@java
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-12-03 14:21 UTC by Vladimir Riha
Modified: 2014-01-10 18:35 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (3.44 KB, text/plain)
2013-12-03 14:21 UTC, Vladimir Riha
Details
stacktrace (1.72 KB, text/plain)
2013-12-19 20:40 UTC, javydreamercsw
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2013-12-03 14:21:15 UTC
Build: NetBeans IDE Dev (Build 201312030002)
VM: Java HotSpot(TM) Client VM, 25.0-b59, Java(TM) SE Runtime Environment, 1.8.0-ea-b117
OS: Linux

User Comments:
vriha: Happpened when runnign qa functional test from withing IDE




Stacktrace: 
java.lang.NullPointerException
   at com.sun.tools.javac.processing.JavacProcessingEnvironment$Round.unrecoverableError(JavacProcessingEnvironment.java:970)
   at com.sun.tools.javac.processing.JavacProcessingEnvironment.doProcessing(JavacProcessingEnvironment.java:1122)
   at com.sun.tools.javac.main.JavaCompiler.processAnnotations(JavaCompiler.java:1233)
   at com.sun.tools.javac.main.JavaCompiler.processAnnotations(JavaCompiler.java:1120)
   at com.sun.tools.javac.api.JavacTaskImpl.analyze(JavacTaskImpl.java:479)
   at org.netbeans.modules.java.source.indexing.MultiPassCompileWorker.compile(MultiPassCompileWorker.java:272)
Comment 1 Vladimir Riha 2013-12-03 14:21:17 UTC
Created attachment 142816 [details]
stacktrace
Comment 2 javydreamercsw 2013-12-19 20:40:13 UTC
Created attachment 143348 [details]
stacktrace

Added a dependency to project.
Comment 3 Dusan Balek 2014-01-10 18:35:44 UTC
Fixed together with #239117.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo